<app-breadcrumb-admin [single]="true" titlePage="Categorias"></app-breadcrumb-admin>
<h3 class="text-capitalize">
  <fa-icon [icon]="faTable"></fa-icon>&nbsp;
  Categorias
</h3>
<div class="row">
  <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
    <div class="card mb-3">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h3 class="float-start text-primary">
              <a [routerLink]="['/admin/categories/create']" class="btn btn-outline-secondary">
                <fa-icon [icon]="faPlus"></fa-icon>&nbsp;
                <span class="text-capitalize">Agregar Categoria</span>
              </a>
            </h3>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <div id="dataTable" class="table table-bordered table-hover display" style="width:100%">
            <div class="row bg-primary  text-white py-3">
              <div class="col-9"><span class="fw-bold">Categoria</span></div>
              <div class="col-2 text-center"><span class="fw-bold">Acciones</span></div>
            </div>
          </div>
          <div class="row" *ngFor="let category of categories |  paginate: { itemsPerPage: 5, currentPage: page }; let i=index">
            <div class="col-2 d-flex justify-content-center">
              <a [routerLink]="['/admin/categories/edit', category._id]" title="Editar">
                <img src="assets/images/missing.png" alt="Sin Imagen" class="img-fluid" *ngIf="!category.image">
                <img [src]="category._id | image: 'categories'" [alt]="category.image" class="img-fluid aspect-radio-height" *ngIf="category.image" (error)="replaceImage(image)" #image>
              </a>
            </div>
            <div class="col-7 d-flex align-items-center">
              <a [routerLink]="['/admin/categories/edit', category._id]" title="Editar">
              <span *ngIf="serviceTranslation.getLang() == 'es'">
                <span *ngIf="category.name.es">{{ category.name.es }}</span>
                <span *ngIf="!category.name.es">Editar</span>
              </span>
              <span *ngIf="serviceTranslation.getLang() == 'en'">
                <span *ngIf="category.name.en">{{ category.name.en }}</span>
                <span *ngIf="!category.name.en">Editar</span>
              </span>
              </a>
            </div>
            <div class="col-2 text-center" >
              <fa-icon [icon]="faPlus" class="text-primary cursor" [routerLink]="['/admin/categories/subcategories/create', category._id]"></fa-icon>
              <fa-icon [icon]="faPowerOff" class="text-success cursor ms-2" *ngIf="category.active" (click)="active(category._id, category.active)"></fa-icon>
              <fa-icon [icon]="faPowerOff" class="text-danger cursor ms-2" *ngIf="!category.active" (click)="active(category._id, category.active)"></fa-icon>
              <fa-icon [icon]="faTrashAlt" class="text-danger cursor ms-2" (click)="delete(category._id)"></fa-icon>
            </div>
            <app-subcateries-categories [parent]="category._id"></app-subcateries-categories>
          </div>
          <pagination-controls  (pageChange)="page = $event"
                                (pageBoundsCorrection)="page = $event"
                                [maxSize]=9
                                [directionLinks]=true
                                [autoHide]=true
                                [responsive]=true
                                previousLabel="Anterior"
                                nextLabel="Siguente"
                                screenReaderPaginationLabel="Pagination"
                                screenReaderPageLabel="page"
                                screenReaderCurrentLabel="You're on page">
          </pagination-controls>
        </div>
        <!-- end table-responsive-->
      </div>
      <!-- end card-body-->
    </div>
    <!-- end card-->
  </div>
</div>

